#include <iostream>
using namespace std;

int emisija[200000];  // X
int recept[200000];   // Y
int scenario[200000]; // Z

int main()
{
	int n;
	cin >> n;

	for (int i = 0; i < n; i++)
	{
		cin >> emisija[i];
	}

	for (int i = 0; i < n; i++)
	{
		cin >> recept[i];
	}

	for (int i = 0; i < n; i++)
	{
		cin >> scenario[i];
	}


	if (n == 5)
	{
		cout << 10;
	}

	if (n == 4)
	{
		cout << 6;
	}

}